Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io
Interface DocumentWriter

All Known Implementing Classes:
  AbstractDocumentWriter, NewickWriter, NexusWriter, XTGWriter

    public interface DocumentWriter

Method Summary
`void` | `write(Document document, java.io.File file)`
`void` | `write(Document document, java.io.File file, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter leafAdapter, NodeBranchDataAdapter branchLengthAdapter)`
`void` | `write(Document document, java.io.OutputStream stream)`
`void` | `write(Document document, java.io.OutputStream stream, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter leafAdapter, NodeBranchDataAdapter branchLengthAdapter)`

Method Detail

### write

    void write(Document document,
               java.io.OutputStream stream)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### write

    void write(Document document,
               java.io.File file)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### write

    void write(Document document,
               java.io.OutputStream stream,
               NodeBranchDataAdapter internalAdapter,
               NodeBranchDataAdapter leafAdapter,
               NodeBranchDataAdapter branchLengthAdapter)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### write

    void write(Document document,
               java.io.File file,
               NodeBranchDataAdapter internalAdapter,
               NodeBranchDataAdapter leafAdapter,
               NodeBranchDataAdapter branchLengthAdapter)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD